@import "reset.css";
@import "header.css";
@import "footer.css";
@import "modal.css";
@import "layout.css";
@import "active.css";


:root {

    /* color */
    --colorPrimary: #00a6de;
    --colorPrimary100: #F1F8FC;

    --colorGray100: #F9F9F9;
    --colorGray200: #f5f5f5;
    --colorGray300: #E0E0E0;
    --colorGray400: #cdcdcd;
    --colorGray500: #BABABA;
    --colorGray600: #a0a0a0;
    --colorGray700: #7D7D7D;
    --colorGray800: #555555;
    --colorGray900: #333333;

    --colorWhite: #FFFFFF;

    --colorBlack: #111111;

    --colorRed: #D00D0D;

    --colorTransparent: transparent;


    /* dim */
    --dim: rgba(0, 0, 0, 0.4);


    /* font size */
    --fontSizeXs: 12px;
    --fontSizeSm: 13px;
    --fontSizeBase: 14px;
    --fontSizeMd: 16px;
    --fontSizeLg: 18px;
    --fontSizeXl: 20px;
    --fontSize2Xl: 22px;
    --fontSize3Xl: 24px;
    --fontSize4Xl: 26px;
    --fontSize5Xl: 28px;
    --fontSize6Xl: 30px;
    --fontSize7Xl: 32px;
    --fontSize8Xl: 36px;
    --fontSize9Xl: 42px;
    --fontSize10Xl: 48px;
    --fontSize11Xl: 52px;
    --fontSize12Xl: 70px;
    --fontSize13Xl: 100px;
    --fontSize14Xl: 140px;


    /* font weight */
    --fontWeightRegular: 400;
    --fontWeightMedium: 500;
    --fontWeightSemibold: 600;
    --fontWeightBold: 700;
    --fontWeightExtrabold: 800;


    /* line height */
    --lineHeightXs: 17px;
    --lineHeightSm: 18px;
    --lineHeightBase: 20px;
    --lineHeightMd: 22px;
    --lineHeightLg: 24px;
    --lineHeightXl: 26px;
    --lineHeight2Xl: 28px;
    --lineHeight3Xl: 30px;
    --lineHeight4Xl: 32px;
    --lineHeight5Xl: 36px;
    --lineHeight6Xl: 39px;
    --lineHeight7Xl: 40px;
    --lineHeight8Xl: 44px;
    --lineHeight9Xl: 48px;
    --lineHeight10Xl: 54px;
    --lineHeight11Xl: 58px;
    --lineHeight12Xl: 60px;
    --lineHeight13Xl: 68px;
    --lineHeight14Xl: 84px;
    --lineHeight15Xl: 120px;
    --lineHeight16Xl: 210px;


    /* border radius */
    --borderRadiusSm: 4px;
    --borderRadiusMd: 6px;
    --borderRadiusLg: 10px;
    --borderRadiusXl: 15px;
    --borderRadius2Xl: 20px;
    --borderRadius3Xl: 25px;
    --borderRadius4Xl: 50px;
}





/* 기본 폰트 설정 */
body,
button,
input,
select,
table,
textarea {
    color: var(--colorBlack);
    font-family: 'Pretendard', sans-serif;
    letter-spacing: -0.5px;
    font-weight: var(--fontWeightRegular);
    word-break: keep-all;
}

/* 기본 폰트 설정 */





/* 레이아웃 기준 센터 영역 - 반응형 대응 필요 */
.content-inner {
    max-width: 1440px;
    width: calc(100% - 108px);
    margin: 0 auto;
}

#container {
    width: 100%;
    min-height: calc(100vh - 403px);
    box-sizing: border-box;
}

section {
    width: 100%;
    padding: 100px 0 140px;
}

/* 레이아웃 기준 센터 영역 - 반응형 대응 필요 */





/* 특정 텍스트를 primary색으로 표기할 때 */
.txt-primary {
    color: var(--colorPrimary) !important;
}

/* 특정 텍스트를 primary색으로 표기할 때 */





/* 특정 텍스트를 빨간색으로 표기할 때 */
.txt-alert {
    color: var(--colorRed) !important;
}

/* 특정 텍스트를 빨간색으로 표기할 때 */





/* 특정 텍스트를 검정색으로 표기할 때 */
.txt-black {
    color: var(--colorBlack) !important;
}

/* 특정 텍스트를 검정색으로 표기할 때 */





/* 특정 텍스트를 회색으로 표기할 때 */
.txt-muted {
    color: var(--colorGray700) !important;
}

.txt-dark-muted {
    color: var(--colorGray800) !important;
}

/* 특정 텍스트를 회색으로 표기할 때 */





/* 특정 텍스트를 하얀색으로 표기할 때 */
.txt-white {
    color: var(--colorWhite) !important;
}

/* 특정 텍스트를 하얀색으로 표기할 때 */





/* confirm 문구 */
.message {
    width: 100%;
    font-size: var(--fontSizeBase);
}

/* confirm 문구 */





/* 읽기전용 div */
.read-only {
    width: 100%;
    height: 50px;
    border: 1px solid var(--colorGray300);
    box-sizing: border-box;
    background-color: var(--colorGray100);
    padding: 0 12px;
    font-size: var(--fontSizeBase);
    color: var(--colorGray700);
    display: flex;
    align-items: center;
    border-radius: var(--borderRadiusMd);
}

/* 읽기전용 div */





/* title group gap */
.title-group {
    display: flex;
    flex-direction: column;
    gap: 20px 0;
}

/* title group gap */





/* 공통 타이틀 및 텍스트 */
.title {
    font-size: var(--fontSize12Xl);
    line-height: var(--lineHeight14Xl);
    font-weight: var(--fontWeightSemibold);
    text-align: center;
}

.section-title {
    font-size: var(--fontSize10Xl);
    line-height: var(--lineHeight11Xl);
    font-weight: var(--fontWeightBold);
}

.group-title {
    width: 100%;
    font-size: var(--fontSize5Xl);
    line-height: var(--lineHeight5Xl);
    font-weight: var(--fontWeightSemibold);
}

.item-title {
    font-size: var(--fontSizeLg);
    font-weight: var(--fontWeightMedium);
    line-height: var(--lineHeight2Xl);
}

.desc {
    font-size: var(--fontSizeXl);
    line-height: var(--fontSize6Xl);
}

/* 공통 타이틀 및 텍스트 */





/* logo Style */
h1,
h1>a {
    width: max-content;
    display: flex;
    align-items: center;
    justify-content: center;
}

h1>a img {
    max-width: 100%;
}

/* logo Style */





/* button Style */
/* button Common Style */
.btn {
    width: max-content;
    justify-content: center;
    font-weight: var(--fontWeightSemibold);
    box-sizing: border-box;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0 14px;
    border-radius: var(--borderRadius4Xl);
    transition: color .5s, border .5s, background-color .5s;
}


/* button size - 반응형 대응 필요 */
.btn.small {
    min-width: 90px;
    height: 42px;
    padding: 0 20px;
    font-size: var(--fontSizeBase);
}

.btn.medium {
    min-width: 130px;
    height: 52px;
    padding: 0 28px;
    font-size: var(--fontSizeMd);
}

.btn.large {
    min-width: 160px;
    height: 63px;
    padding: 0 36px;
    font-size: var(--fontSizeLg);
}


/* button color */
.btn.primary {
    background-color: var(--colorBlack);
    color: var(--colorWhite);
}

.btn.secondary {
    border: 1px solid var(--colorBlack);
    color: var(--colorBlack);
    background-color: var(--colorWhite);
}

.btn.disabled {
    background-color: var(--colorGray300);
    color: var(--colorGray700);
    cursor: default;
}

/* button Style */





/* top Style - 반응형 대응 필요 */
.top {
    width: 68px;
    height: 68px;
    background-color: #222;
    border-radius: var(--borderRadius4Xl);
    font-size: var(--fontSizeLg);
    color: var(--colorWhite);
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

/* top Style - 반응형 대응 필요 */





/* scroll Custom */
.scroll-custom::-webkit-scrollbar {
    width: 6px;
}

.scroll-custom::-webkit-scrollbar-track {
    background-color: var(--colorGray300);
    border-radius: var(--borderRadiusLg);
}

.scroll-custom::-webkit-scrollbar-thumb {
    background-color: var(--colorGray800);
    border-radius: var(--borderRadiusLg);
}

.scroll-custom::-webkit-scrollbar-button {
    display: none;
}

/* scroll Custom */





/* checkbox Style */
.check-box {
    position: relative;
    appearance: none;
    width: 18px;
    height: 18px;
}

.check-box::after {
    content: url(/images/common/checkboxDefault.svg);
    width: 18px;
    height: 18px;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
}

.check-box:checked::after {
    content: url(/images/common/checkboxChecked.svg);
}

label.check-label {
    display: flex;
    align-items: center;
    gap: 0 8px;
    cursor: pointer;
}

label.check-label p {
    font-size: var(--fontSizeBase);
    color: var(--colorBlack);
    line-height: var(--lineHeightSm);
}

/* checkbox Style */





/* input / textarea Style */
label.input-label {
    width: 100%;
    height: 50px;
    display: block;
}

label.input-label input {
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    border: 1px solid var(--colorGray400);
    background-color: var(--colorWhite);
    font-size: var(--fontSizeBase);
    color: var(--colorBlack);
    padding: 0 12px;
    border-radius: var(--borderRadiusMd);
}

label.textarea-label {
    width: 100%;
    height: 480px;
    display: block;
}

label.textarea-label textarea {
    width: 100%;
    height: 100%;
    border-radius: var(--borderRadiusMd);
    box-sizing: border-box;
    border: 1px solid var(--colorGray400);
    background-color: var(--colorWhite);
    font-size: var(--fontSizeBase);
    color: var(--colorBlack);
    padding: 15px 12px;
}

label.input-label input:focus,
label.textarea-label textarea:focus {
    border: 1px solid var(--colorPrimary);
}

label.input-label input::placeholder,
label.textarea-label textarea::placeholder {
    font-size: var(--fontSizeBase);
    color: var(--colorGray500);
}

label.input-label.highlight input,
label.textarea-label.highlight textarea {
    border: 1px solid var(--colorRed);
}

/* input / textarea Style */





/* selectBox Style - 반응형 대응 필요 */
/* 전체 영역 */
.select-area {
    box-sizing: border-box;
    position: relative;
}


/* 선택된 영역 */
.select-box {
    width: 100%;
    height: 50px;
    padding: 0 12px;
    box-sizing: border-box;
    display: grid;
    align-items: center;
    grid-template-columns: 1fr 14px;
    justify-content: space-between;
    gap: 0 10px;
    text-align: left;
    border-radius: var(--borderRadiusMd);
    background-color: var(--colorWhite);
    border: 1px solid var(--colorGray300);
    cursor: pointer;
}

.select-box span {
    font-size: var(--fontSizeBase);
    color: var(--colorGray500);
    font-weight: var(--fontWeightMedium);
}


/* 선택 옵션 영역 */
.select-option {
    width: 100%;
    position: absolute;
    top: 55px;
    left: 0;
    z-index: 10;
    background-color: var(--colorWhite);
    border: 1px solid var(--colorPrimary);
    border-radius: var(--borderRadiusMd);
    overflow: hidden;
    box-sizing: border-box;
}

.select-option button {
    width: 100%;
    height: 50px;
    padding: 14px 12px;
    box-sizing: border-box;
    font-size: var(--fontSizeBase);
    color: var(--colorBlack);
    text-align: left;
}

.select-option button:hover {
    background-color: var(--colorPrimary100);
}

.select-option button:hover,
.select-option label:hover p {
    font-weight: var(--fontWeightSemibold);
}

.default-select-area,
.period-select-area {
    width: 180px;
}

/* selectBox Style - 반응형 대응 필요 */





/* pagination Style */
.pagination {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0 14px;
}

.pagination button {
    display: flex;
    align-items: center;
    justify-content: center;
}

.page-arrow {
    display: flex;
    align-items: center;
}

.page-number {
    display: flex;
    align-items: center;
    gap: 0 10px;
}

.page-number button {
    width: 36px;
    height: 36px;
    font-size: var(--fontSizeLg);
    color: var(--colorGray700);
}

.page-number button.active {
    background-color: var(--colorGray600);
    border-radius: var(--borderRadiusSm);
    color: var(--colorWhite);
    font-weight: var(--fontWeightSemibold);
}

/* pagination Style */





/* search-keyword-area Style - 반응형 대응 필요 */
.search-keyword-area {
    width: 320px;
    border-radius: var(--borderRadiusMd);
    overflow: hidden;
    display: grid;
    grid-template-columns: 270px 50px;
}

.search-keyword-area .input-label {
    width: inherit;
}

.search-keyword-area .input-label input {
    border-radius: 6px 0 0 6px;
    overflow: hidden;
}

.search-keyword-area .input-label input:focus{
    border: 1px solid var(--colorGray400);
}

.search-keyword-area button {
    width: 50px;
    height: 50px;
    background-color: var(--colorGray800);
    border-radius: 0 6px 6px 0;
    overflow: hidden;
}

.search-keyword-area button img {
    max-width: 100%;
}

/* innerBtnSearchArea Style - 반응형 대응 필요 */





/* 컨텐츠 display */
.hide {
    display: none;
}

.show-block {
    display: block;
}

.show-flex {
    display: flex;
}

.show-grid {
    display: grid;
}

/* 컨텐츠 display */





/* responsive css */
@media screen and (min-width: 768px) and (max-width: 1279px) {
    .content-inner {
        max-width: 100%;
        width: calc(100% - 108px);
    }

    #container {
        min-height: calc(100vh - 470px);
    }

    section {
        padding: 50px 0 120px;
    }


    /* button style */
    .btn {
        gap: 0 10px;
    }

    /* button style */


    /* 공통 타이틀 및 텍스트 */
    .section-title {
        font-size: var(--fontSize9Xl);
        line-height: var(--lineHeight10Xl);
    }

    .group-title {
        font-size: var(--fontSize5Xl);
        line-height: var(--lineHeight5Xl);
    }

    .desc {
        font-size: var(--fontSizeLg);
        line-height: var(--lineHeight2Xl);
    }

    /* 공통 타이틀 및 텍스트 */


    /* innerBtnSearchArea Style */
    .search-keyword-area {
        width: 100%;
        grid-template-columns: 1fr 50px;
    }

    /* innerBtnSearchArea Style */


    /* pagination Style */
    .page-arrow button {
        width: 32px;
        height: 32px;
    }

    .page-arrow button img {
        width: 100%;
    }

    .page-number {
        gap: 0 6px;
    }

    .pagination button {
        width: 32px;
        height: 32px;
        font-size: var(--fontSizeBase);
    }

    /* pagination Style */
}

@media screen and (max-width: 767px) {

    .content-inner {
        max-width: 100%;
        width: calc(100% - 30px);
    }

    #container {
        min-height: calc(100vh - 546px);
    }

    section {
        padding: 30px 0 80px;
    }


    /* confirm 문구 */
    .message {
        font-size: var(--fontSizeSm);
    }

    /* confirm 문구 */


    /* button style */
    .btn {
        gap: 0 5px;
    }

    .btn img {
        width: 18px;
    }

    .btn.small {
        min-width: 80px;
        height: 38px;
        font-size: var(--fontSizeSm);
        padding: 0 15px;
    }

    .btn.medium {
        min-width: 120px;
        height: 45px;
        font-size: var(--fontSizeBase);
        padding: 0 20px;
    }

    .btn.large {
        min-width: 140px;
        height: 52px;
        font-size: var(--fontSizeMd);
        padding: 0 20px;
    }

    /* button style */


    /* top Style */
    .top {
        width: 52px;
        height: 52px;
        font-size: var(--fontSizeBase);
    }


    /* title group gap */
    .title-group {
        gap: 10px 0;
    }

    /* title group gap */


    /* 공통 타이틀 및 텍스트 */
    .title {
        font-size: var(--fontSize8Xl);
        line-height: var(--lineHeight8Xl);
    }

    .section-title {
        font-size: var(--fontSize3Xl);
        line-height: var(--lineHeight4Xl);
    }

    .group-title {
        font-size: var(--fontSize3Xl);
        line-height: var(--lineHeight5Xl);
    }

    .item-title {
        font-size: var(--fontSizeBase);
        line-height: var(--fontSizeXl);
    }

    .desc {
        font-size: var(--fontSizeBase);
        line-height: var(--lineHeightBase);
    }

    /* 공통 타이틀 및 텍스트 */


    /* input Style */
    label.input-label {
        height: 45px;
    }

    label.textarea-label{
        height: 240px;
    }

    label.textarea-label textarea {
        width: 100%;
        font-size: var(--fontSizeBase);
        padding: 10px 12px;
    }

    /* input Style */


    /* pagination Style */
    .pagination {
        gap: 0;
    }

    .page-arrow button {
        width: 32px;
        height: 32px;
    }

    .page-arrow button img {
        width: 100%;
    }

    .page-number {
        gap: 0 6px;
    }

    .pagination button {
        width: 32px;
        height: 32px;
        font-size: var(--fontSizeBase);
    }

    /* pagination Style */


    /* label Style */
    label.check-label p {
        font-size: var(--fontSizeBase);
        line-height: var(--lineHeightLg);
    }

    /* label Style */


    /* selectBox Style */
    /* 전체 영역 */
    .select-area {
        box-sizing: border-box;
        position: relative;
    }


    /* 선택된 영역 */
    .select-box {
        height: 45px;
    }

    .select-box p {
        font-size: var(--fontSizeBase);
    }
    .select-option {
        top: 50px;
    }

    /* 선택 옵션 영역 */
    .default-select-area,
    .period-select-area {
        width: 100%;
    }

    /* selectBox Style */


    /* innerBtnSearchArea Style */
    .search-keyword-area {
        width: 100%;
        grid-template-columns: 1fr 45px;
    }

    .search-keyword-area button {
        width: 45px;
        height: 45px;
    }

    /* innerBtnSearchArea Style */


    /* 읽기전용 div */
    .read-only {
        height: 45px;
    }

    /* 읽기전용 div */
}